<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;">
	<!ENTITY rsquo  "&#8217;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
	<!ENTITY amp    "&#38;">
	<!ENTITY quot   "&#34;">
	<!ENTITY deg	"&#176;">
]>

<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:url="http://www.jclark.com/xt/java/java.net.URLEncoder" 
 xmlns:fo="http://www.w3.org/1999/XSL/Format" >
	<xsl:output method="html" encoding="UTF-8" />
    <xsl:strip-space elements="..."/>
    <xsl:preserve-space elements="..."/>

    <!-- template rule matching source root element -->
<xsl:template match="/">
    
<!-- enter xhtml to display before featured products -->

		<xsl:for-each select="IAMProductListRS">
		   <xsl:for-each select="./Item"><xsl:if test="position() = 1"><table id="featured"><tr>
		     <td align="left" class="tblhead">Featured Products</td>
		   </tr></table></xsl:if></xsl:for-each>
		<div id="catListDiv">
			<xsl:for-each select="./Item">
				<div class="categoryProduct">
					  					
					  <xsl:if test="normalize-space(./ItemImageThumb)">
						<div align="center"><a href="/SPD/{translate(./DisplayName,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp"><img src="/product_images/{./ItemImageThumb}" alt="{./DisplayName}" border="0" class="frame"/></a><br />
					      </div>
					  </xsl:if>
                    <p><a href="/SPD/{translate(./DisplayName,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp"><xsl:value-of select="./DisplayName"/></a></p>
                   
				</div>
			</xsl:for-each>
		</div>
		
		</xsl:for-each>

<!-- enter xhtml to display after featured products -->

</xsl:template>
</xsl:stylesheet> 
