<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet  [
        <!ENTITY nbsp   "&#160;">
        <!ENTITY copy   "&#169;">
        <!ENTITY reg    "&#174;">
        <!ENTITY trade  "&#8482;">
        <!ENTITY mdash  "&#8212;">
        <!ENTITY ldquo  "&#8220;">
        <!ENTITY rdquo  "&#8221;">
        <!ENTITY pound  "&#163;">
        <!ENTITY yen    "&#165;">
        <!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="UTF-8"/>
<xsl:param name="bLoggedInUser"/>
<xsl:param name="CatTop"/>
<xsl:param name="CatSub"/>
<xsl:param name="CatFull"/>
<xsl:template match="/">

   <div id="headerMainCell">
      <h1>Company Name</h1>
     <span class="slogan">company slogan</span></div>
  
  <div id="headerMenuCell">
  <ul id="nav">
	<li><a href="/Home.jsp?refresh=true">Home</a></li>
	<li><a href="/WSWrapper.jsp?mypage=StoreAboutUs.htm">About Us</a></li>
	<li><a href="/WSWrapper.jsp?mypage=StoreContactUs.htm">Contact Us</a></li> 
	<li><a href="/ViewCart.jsp?action=view">My Cart (<xsl:value-of select="count(//CartInfo/Item)"/>)</a></li> 
	<!-- account menu to show Login / Logout links -->
	<xsl:for-each select="IAMMetaRS">
        <xsl:choose>
            <xsl:when test="boolean($bLoggedInUser='false')">
				<li><a href="/StoreCustomerDetail.jsp?action=create">Register</a></li>
			  <li><a href="/SignIn.jsp">Sign In</a></li>
			</xsl:when>
			<xsl:otherwise>
				<li><a  href="/StoreCustomerDetail.jsp?action=edit">My Account</a></li>
			  <li><a href="/StoreLogout.jsp">Sign Out</a></li>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:for-each>
    </ul>
	<!-- end account menu -->
	
	<!-- Example Customer info.  Uncomment lines below to display -->
    <!--
	    	FN: <xsl:value-of select="CustomerInfo/FullName"/><br/>
        	CN: <xsl:value-of select="CustomerInfo/CompanyName"/><br/>
        	UN: <xsl:value-of select="CustomerInfo/UserName"/><br/>
	-->		
	
    <!-- Example Cart info. Uncomment lines below to display --> 
	<!--
			<xsl:for-each select="CartInfo/Item">
        		Item: <xsl:value-of select="Name"/><br/>
        		Price: <xsl:value-of select="CurrentPrice"/><br/>
        		Qty: <xsl:value-of select="Quantity"/><br/>
			</xsl:for-each>
        	Cart Total: $<xsl:value-of select="CartInfo/CartTotal"/><br/>
	-->
	
	<!-- example of pulling category list into top menu. REQUIRES template 'IAMStoreMenu' below -->
	<!--
	<xsl:variable name='categoryMenu' select="document('WSMenu.xml')"/>
	<xsl:apply-templates select='$categoryMenu' mode='externals'/>
	-->
	
	</div>
</xsl:template>
</xsl:stylesheet>