<?xml version="1.0" encoding="UTF-8" ?> 
      
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;">
	<!ENTITY rsquo  "&#8217;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
	<!ENTITY amp    "&#38;">
	<!ENTITY quot   "&#34;">
	<!ENTITY deg	"&#176;">
]>


<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:url="http://www.jclark.com/xt/java/java.net.URLEncoder" > 
        <xsl:output method="html" encoding="UTF-8" /> 
        <xsl:param name="bLoggedInUser"/> 
        <xsl:param name="WSMenuStyle"/> 
		<xsl:param name="CatTop"/>
		<xsl:param name="CatSub"/>
		<xsl:param name="CatFull"/>
        <xsl:strip-space elements="..."/> 
        <xsl:preserve-space elements="..."/> 
        <!-- template rule matching source root element --> 
        <xsl:template match="/"> 
          
<!-- SEARCH FORM -->   
			  <table id="search"> 
			  <tr>
			  <td class="tblhead">Search</td>
			  </tr>
                  <tr> 
                    <td ><form name="search" method="post" action="/SearchResults_1.jsp"> 
                        <input name="Desc" type="hidden" id="Desc"  value="on"/>
                        <input name="NAME" type="text" id="NAME" size="14"/>
                        <input type="submit" name="Submit" value="GO" class="gobutton"/>
                        
                    </form></td> 
                  </tr> 
                </table> 

<!-- ACCOUNT TABLE    -->					
			<table id="myaccount"> 
			  <tr>
			  <td class="tblhead">My Account</td>
			  </tr>				
                  <xsl:choose> 
                    <xsl:when test="boolean($bLoggedInUser='false')"> 
                      <tr> 
                        <td><a  href="/SignIn.jsp">Sign In</a></td> 
                      </tr> 
                    </xsl:when> 
                    <xsl:otherwise> 
                      <tr><td class="hellouser"> Welcome <xsl:value-of select="$bLoggedInUser"/>!</td></tr>
						<tr><td><a  href="/StoreCustomerDetail.jsp?action=edit">Account Details</a></td></tr> 
                        <tr><td><a href="/CustomerAccountHistory.jsp">Account History</a></td></tr>
                        <tr><td><a href="/Saved.jsp">Saved Carts</a></td></tr>
                      	<tr><td><a href="/StoreLogout.jsp">Logout</a></td></tr> 
                    </xsl:otherwise> 
                  </xsl:choose> 
				  </table>				
				
<!-- BROWSE PRODUCTS -->
              <xsl:if test="boolean($WSMenuStyle='Standard')"> 
				<table id="menu"> 
				<tr>
			  		<td class="tblhead">Browse</td>
			  	</tr>	
                       <tr>
                       <td>
                       <ul class="menu">
                    <xsl:for-each select="//IAMStoreMenu/Category">
                        <xsl:choose>
                        <xsl:when test="normalize-space(./Category)">
                        	<li class="toggler">
                            <a href="#" onclick="this.blur(); return false;" class="topCat"><xsl:value-of select="./Name"/></a>
                            <ul class="accordion" style="height:0; overflow:hidden">
                            	<xsl:for-each select="./Category">
                                	<li><a href="/CategoryProductList.jsp?cat={url:encode(string(../Name),string('UTF-8'))}:{url:encode(string(./Name),string('UTF-8'))}"><xsl:value-of select="./Name"/></a></li>
                                </xsl:for-each>
                            </ul>
                            </li>
                        </xsl:when>
                        <xsl:otherwise>
                        	<li class="toggler">
                            <a href="/CategoryProductList.jsp?cat={url:encode(string(./Name),string('UTF-8'))}" onclick="this.blur()" class="topCat"><xsl:value-of select="./Name"/></a>
                            <ul class="accordion" style="height:0; overflow:hidden"></ul></li>
                        </xsl:otherwise>
                        </xsl:choose>
                    </xsl:for-each>
                    </ul>
                       </td>
                       </tr>
                </table>
			</xsl:if> 
      </xsl:template> 
</xsl:stylesheet>