<?xml version="1.0" encoding="utf-8"?><!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>
<xsl:template match="/">

<!-- Begin Page Navigation -->
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="catNav">
	  <tr>
                      <xsl:for-each select="//PageList">
					  <th>Displaying <xsl:value-of select="./CurrentItemOffset + 1"/> to <xsl:value-of select="./CurrentItemOffset + count(//Item)"/> (of <xsl:value-of select="./ProductCount"/>&nbsp;products)</th>
					  <th align="right">
                        <xsl:if test="count(./PageOffset) &gt; 1">
						
						<xsl:for-each select="./PageOffset">
                                <xsl:if test="position() = 1">Result Pages:&nbsp;</xsl:if>
                                <xsl:choose>
                                     <xsl:when test=". != ../CurrentItemOffset">
                                        <a href="CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={.}"><xsl:value-of select="position()"/></a>
                                  </xsl:when>
                                        <xsl:otherwise><xsl:value-of select="position()"/></xsl:otherwise>
                                </xsl:choose>&nbsp;
                        </xsl:for-each>&nbsp;
                        
						<!-- Previous Link -->
						<xsl:if test="(count(//PageOffset) > 1) and (//PageList/CurrentItemOffset != 0)">
                         <a href="CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={//PageList/CurrentItemOffset - //PageList/ItemsPerPage}">
                          &lt;&lt;&nbsp;Prev</a>&nbsp;
                        </xsl:if>
						
						<!-- Next Link -->
						<xsl:if test="(count(//PageOffset) > 1) and (//PageList/CurrentItemOffset != ((//PageList/Pages - 1) * //PageList/ItemsPerPage))">
                         <a href="CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={(//PageList/CurrentItemOffset) + //PageList/ItemsPerPage}">Next&nbsp;&gt;&gt;</a>
                        </xsl:if>
						
						</xsl:if>
						</th>
                    </xsl:for-each>
		</tr></table>
		<!-- End Page Navigation -->
        
</xsl:template>
</xsl:stylesheet>