<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;">
	<!ENTITY rsquo  "&#8217;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
	<!ENTITY amp    "&#38;">
	<!ENTITY quot   "&#34;">
	<!ENTITY deg	"&#176;">
]>

<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:url="http://www.jclark.com/xt/java/java.net.URLEncoder" 
 xmlns:fo="http://www.w3.org/1999/XSL/Format" >
	<xsl:output method="html"/>
    <xsl:strip-space elements="..."/>
    <xsl:preserve-space elements="..."/>

    <!-- template rule matching source root element -->
<xsl:template match="/">
<xsl:for-each select="IAMProductListRS">
    <table id="related">
    <xsl:for-each select="./Item">
	<xsl:if test="position() = 1">
      <tr> 
        <td class="tblhead">Related Products</td>
      </tr>
	</xsl:if>
	<tr><td>
	<xsl:choose>
					  <xsl:when test="./ItemImageThumb = 'thumb.jpg'">
					  </xsl:when>
					  <xsl:when test="normalize-space(./ItemImageThumb)">
						<div align="center" class="imageDiv">
				<a href="ProductDetail.jsp?LISTID={./ListID}">
					<img class="frame" border="0" src="/product_images/{./ItemImageThumb}" alt="{./DisplayName}"/>
				</a>
			</div>
					  </xsl:when>
					  <xsl:otherwise>
					  </xsl:otherwise>
			  		</xsl:choose>
            
            
                          
              <a class="productname" href="/SPD/{translate(./DisplayName,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp">
                <xsl:value-of select="./DisplayName"/>
              </a>
              <br/><xsl:value-of select="./DisplayDesc"/><br />
            Price: $<xsl:value-of select="./DisplayPrice"/><br/>
            <br/>
            
            <a href="ViewCart.jsp?action=addItem&amp;Qty=1&amp;ListID={./ListID}">Add to cart</a>
            </td></tr>
    </xsl:for-each>
    </table>

</xsl:for-each>

</xsl:template>
</xsl:stylesheet> 
